net.minecraft.logging

## Class LogAgent

- java.lang.Object
- - net.minecraft.logging.LogAgent

- All Implemented Interfaces:
    ILogAgent

      public class LogAgent
      extends Object
      implements ILogAgent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogAgent(String par1Str, String par2Str, String par3Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Logger` | `func_98076_a()`
    `void` | `func_98230_d(String par1Str)`
    `void` | `func_98231_b(String par1Str, Object... par2ArrayOfObj)`
    `void` | `func_98232_c(String par1Str)`
    `void` | `func_98233_a(String par1Str)`
    `void` | `func_98234_c(String par1Str, Throwable par2Throwable)`
    `void` | `func_98235_b(String par1Str, Throwable par2Throwable)`
    `void` | `func_98236_b(String par1Str)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogAgent

          public LogAgent(String par1Str,
                  String par2Str,
                  String par3Str)

  - ### Method Detail

    - #### func_98233_a

          public void func_98233_a(String par1Str)

      Specified by:
        `func_98233_a` in interface `ILogAgent`

    - #### func_98076_a

          public Logger func_98076_a()

      Specified by:
        `func_98076_a` in interface `ILogAgent`

    - #### func_98236_b

          public void func_98236_b(String par1Str)

      Specified by:
        `func_98236_b` in interface `ILogAgent`

    - #### func_98231_b

          public void func_98231_b(String par1Str,
                          Object... par2ArrayOfObj)

      Specified by:
        `func_98231_b` in interface `ILogAgent`

    - #### func_98235_b

          public void func_98235_b(String par1Str,
                          Throwable par2Throwable)

      Specified by:
        `func_98235_b` in interface `ILogAgent`

    - #### func_98232_c

          public void func_98232_c(String par1Str)

      Specified by:
        `func_98232_c` in interface `ILogAgent`

    - #### func_98234_c

          public void func_98234_c(String par1Str,
                          Throwable par2Throwable)

      Specified by:
        `func_98234_c` in interface `ILogAgent`

    - #### func_98230_d

          public void func_98230_d(String par1Str)

      Specified by:
        `func_98230_d` in interface `ILogAgent`